<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$APIS = [
    "ping" => [
        "load" => "ping.php",
        "vars" => [
        ]
    ],
    "lookup" => [
        "load" => "machine.php",
        "vars" => [
            "id" => "/^[0-9a-z]+$/"
        ]
    ],
    "editmachine" => [
        "load" => "machine.php",
        "vars" => [
            "id" => "/^[0-9a-z]+$/",
            "model (optional)" => "string",
            "client (optional)" => "string",
            "os (optional)" => "string",
            "serial (optional)" => "string",
            "manufacturer (optional)" => "string",
            "condition (optional)" => "numeric",
            "price (optional)" => "numeric",
            "privatenotes (optional)" => "string",
            "publicnotes (optional)" => "string"
        ]
    ],
    "addmachine" => [
        "load" => "machine.php",
        "vars" => [
            "model (optional)" => "string",
            "client (optional)" => "string",
            "os (optional)" => "string",
            "serial (optional)" => "string",
            "manufacturer (optional)" => "string",
            "condition (optional)" => "numeric",
            "price (optional)" => "numeric",
            "privatenotes (optional)" => "string",
            "publicnotes (optional)" => "string"
        ]
    ]
];
